### Function

# GObject signal_is_valid_name

since: 2.66

#### Declaration

    gboolean
    g_signal_is_valid_name (
      const gchar* name
    )

#### Description

Validate a signal name. This can be useful for dynamically-generated signals which need to be validated at run-time before actually trying to create them.

See [canonical parameter names][canonical-parameter-names] for details of the rules for valid names. The rules for signal names are the same as those for property names.

Available since: 2.66

#### Parameters

`name`

  Type: `const gchar*`

  The canonical name of the signal.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `name` is a valid signal name, `FALSE` otherwise.